How to bind SQL Server data in React DataGrid using SqlClient data provider?
This article explains how to bind SQL Server data in React DataGrid using SQLClient Data Provider. You can bind the data from the SQL Server using Microsoft SqlClient and perform CRUD actions in React Data Grid component.
This can be achieved using UrlAdaptor which will pass the paging, filtering, sorting parameters to the server as DataManagerRequest and perform server side CRUD actions in DataGrid component. Based on the DataManagerRequest, you can form SQL query string and retrieve the data from database using SqlDataAdapter. And then, we process the query string and fill the result into DataSet. Then the DataSet is converted into List and returned as result and count pair.
This is demonstrated in the below sample code in which the SQL data has been retrieved using SqlClient and bound to React DataGrid through UrlAdaptor.
C#
[Fetching data]
public class HomeController : Controller
{
private readonly IHostingEnvironment _env;
public HomeController(IHostingEnvironment env)
{
_env = env;
}
static string cons;
static SqlConnection con;
public static List<Order> Orders { get; set; }
public IActionResult Index()
{
cons = @"Data Source=(LocalDB)\MSSQLLocalDB;AttachDbFilename=" + _env.ContentRootPath + @"\Data\NORTHWND.MDF;Integrated Security=True";
con = new SqlConnection(cons);
return View();
}
public static DataSet CreateCommand(string queryString, string connectionString)
{
using (SqlConnection connection = new SqlConnection(
connectionString))
{
SqlDataAdapter adapter = new SqlDataAdapter(queryString, connection);
DataSet dt = new DataSet();
try
{
connection.Open();
adapter.Fill(dt); // Using SqlDataAdapter we process the query string and fill the data into dataset
}
catch (SqlException se)
{
Console.WriteLine(se.ToString());
}
finally
{
connection.Close();
}
return dt;
}
}
public object UrlDatasource([FromBody]DataManagerRequest dm)
{
string qs = "SELECT OrderID, ShipCountry, ShipCity FROM dbo.Orders ORDER BY OrderID";
if (dm.Take != 0)
{
qs = qs + " OFFSET " + dm.Skip + "ROWS FETCH NEXT " + dm.Take + " ROWS ONLY; ";
}else
{
qs = qs + "; ";
}
DataSet data = CreateCommand(qs, cons);
Orders = data.Tables[0].AsEnumerable().Select(r => new Order
{
OrderID = r.Field<int>("OrderID"),
ShipCountry = r.Field<string>("ShipCountry"),
ShipCity = r.Field<string>("ShipCity"),
}).ToList(); // Here we have converted dataset into list
IEnumerable<Order> DataSource = Orders;
if (con.State != ConnectionState.Open)
con.Open();
SqlCommand comm = new SqlCommand("SELECT COUNT(*) FROM dbo.Orders", con);
Int32 count = (Int32)comm.ExecuteScalar();
con.Close();
return Json(new { result = DataSource, count = count });
}
public class DataResult
{
public IEnumerable result { get; set; }
public int count { get; set; }
}[Insert]
public ActionResult Insert([FromBody]CRUDModel<Order> value)
{
SqlCommand cmd = new SqlCommand("insert into dbo.Orders(OrderID,ShipCountry,ShipCity) values(@OrderID,@ShipCountry,@ShipCity)", con);
if (con.State != ConnectionState.Open)
con.Open();
cmd.Parameters.AddWithValue("@OrderID", value.Value.OrderID);
cmd.Parameters.AddWithValue("@ShipCountry", value.Value.ShipCountry);
cmd.Parameters.AddWithValue("@ShipCity", value.Value.ShipCity);
cmd.ExecuteNonQuery();
con.Close();
return Json(value);
}
[Update]
public ActionResult Update([FromBody]CRUDModel<Order> value)
{
SqlCommand cmd = new SqlCommand("update dbo.Orders set ShipCountry=@ShipCountry,ShipCity=@ShipCity where OrderID=@OrderID", con);
if (con.State != ConnectionState.Open)
con.Open();
cmd.Parameters.AddWithValue("@OrderID", value.Value.OrderID);
cmd.Parameters.AddWithValue("@ShipCountry", value.Value.ShipCountry);
cmd.Parameters.AddWithValue("@ShipCity", value.Value.ShipCity);
cmd.ExecuteNonQuery();
con.Close();
return Json(value);
}
}[Remove]
public ActionResult Remove([FromBody]CRUDModel value)
{
int keyValue = Int32.Parse(value.Key.ToString());
SqlCommand cmd = new SqlCommand("delete dbo.Orders where OrderID=@OrderID", con);
if (con.State != ConnectionState.Open)
con.Open();
cmd.Parameters.AddWithValue("@OrderID", keyValue);
cmd.ExecuteNonQuery();
con.Close();
return Json(UrlDatasource(new DataManagerRequest()));
}
React
public toolbarOptions: string[] = ['Add', 'Edit', 'Delete', 'Update', 'Cancel'];
public editSettings: object = { allowEditing: true, allowAdding: true, allowDeleting: true };
public orderidRules: object = { required: true };
constructor(props) {
super(props);
}
public dm: any = new DataManager({
url: "/Home/UrlDatasource",
insertUrl: "/Home/Insert",
updateUrl: "/Home/Update",
removeUrl:"/Home/Remove",
adaptor: new UrlAdaptor()
});
public render() {
return (<div className='control-section'>
<GridComponent ref={g => (this as any).grid = g} dataSource={this.dm} allowPaging={true} editSettings={this.editSettings} toolbar={this.toolbarOptions} >
<ColumnsDirective>
<ColumnDirective field='OrderID' headerText='Order ID' isPrimaryKey={true} validationRules={this.orderidRules} width='100' textAlign='Right'></ColumnDirective>
<ColumnDirective field='ShipCountry' headerText='Ship Country' width='120'></ColumnDirective>
<ColumnDirective field='ShipCity' headerText='Ship City' width='120' textAlign='Right' />
</ColumnsDirective>
<Inject services={[Page, Edit, Toolbar]} />
</GridComponent>
</div>)
}
}Demo: https://www.syncfusion.com/downloads/support/directtrac/general/ze/ReactSqlDataGrid371098985
Conclusion
We hope you enjoyed learning about how to bind SQL Server data in React DataGrid using SqlClient data provider.
You can refer to our React Data Grid feature tour page to know about its other groundbreaking feature representations and documentation, and how to quickly get started for configuration specifications. You can also explore our example to understand how to create and manipulate data.
For current customers, you can check out our components from the License and Downloads page. If you are new to Syncfusion, you can try our 30-day free trial to check out our other controls.
If you have any queries or require clarifications, please let us know in the comments section below. You can also contact us through our support forums, BoldDesk Support, or feedback portal. We are always happy to assist you!

How to bind SQL Server data in Angular Data Grid using SqlClient data provider?
This article explains how to bind SQL Server data in Angular DataGrid using SqlClient data provider You can bind the data from the SQL Server using Microsoft SqlClient and perform CRUD actions in the Angular Data Grid component.
This can be achieved by using UrlAdaptor, which will pass the paging, filtering, and sorting parameters to the server as DataManagerRequest and perform server-side CRUD actions in DataGrid component. Based on the DataManagerRequest, you can form the SQL query string and retrieve the data from the database using SqlDataAdapter. Then, we process the query string and fill the result into a DataSet. The DataSet will then be converted into List and returned as a result and count pair.
This is explained in the following sample code in which the SQL data has been retrieved using SqlClient and bound to the Angular DataGrid through UrlAdaptor.
C#
[Fetching data]
public class HomeController : Controller
{
private readonly IHostingEnvironment _env;
public HomeController(IHostingEnvironment env)
{
_env = env;
}
static string cons;
static SqlConnection con;
public static List<Order> Orders { get; set; }
public IActionResult Index()
{
cons = @"Data Source=(LocalDB)\MSSQLLocalDB;AttachDbFilename=" + _env.ContentRootPath + @"\Data\NORTHWND.MDF;Integrated Security=True";
con = new SqlConnection(cons);
return View();
}
public static DataSet CreateCommand(string queryString, string connectionString)
{
using (SqlConnection connection = new SqlConnection(
connectionString))
{
SqlDataAdapter adapter = new SqlDataAdapter(queryString, connection);
DataSet dt = new DataSet();
try
{
connection.Open();
adapter.Fill(dt); // Using SqlDataAdapter we process the query string and fill the data into dataset
}
catch (SqlException se)
{
Console.WriteLine(se.ToString());
}
finally
{
connection.Close();
}
return dt;
}
}
public object UrlDatasource([FromBody]DataManagerRequest dm)
{
string qs = "SELECT OrderID, ShipCountry, ShipCity FROM dbo.Orders ORDER BY OrderID";
if (dm.Take != 0)
{
qs = qs + " OFFSET " + dm.Skip + "ROWS FETCH NEXT " + dm.Take + " ROWS ONLY; ";
}else
{
qs = qs + "; ";
}
DataSet data = CreateCommand(qs, cons);
Orders = data.Tables[0].AsEnumerable().Select(r => new Order
{
OrderID = r.Field<int>("OrderID"),
ShipCountry = r.Field<string>("ShipCountry"),
ShipCity = r.Field<string>("ShipCity"),
}).ToList(); // Here, we have converted dataset into list
IEnumerable<Order> DataSource = Orders;
if (con.State != ConnectionState.Open)
con.Open();
SqlCommand comm = new SqlCommand("SELECT COUNT(*) FROM dbo.Orders", con);
Int32 count = (Int32)comm.ExecuteScalar();
con.Close();
return Json(new { result = DataSource, count = count });
}
public class DataResult
{
public IEnumerable result { get; set; }
public int count { get; set; }
}[Insert]
public ActionResult Insert([FromBody]CRUDModel<Order> value)
{
SqlCommand cmd = new SqlCommand("insert into dbo.Orders(OrderID,ShipCountry,ShipCity) values(@OrderID,@ShipCountry,@ShipCity)", con);
if (con.State != ConnectionState.Open)
con.Open();
cmd.Parameters.AddWithValue("@OrderID", value.Value.OrderID);
cmd.Parameters.AddWithValue("@ShipCountry", value.Value.ShipCountry);
cmd.Parameters.AddWithValue("@ShipCity", value.Value.ShipCity);
cmd.ExecuteNonQuery();
con.Close();
return Json(value);
}[Update]
public ActionResult Update([FromBody]CRUDModel<Order> value)
{
SqlCommand cmd = new SqlCommand("update dbo.Orders set ShipCountry=@ShipCountry,ShipCity=@ShipCity where OrderID=@OrderID", con);
if (con.State != ConnectionState.Open)
con.Open();
cmd.Parameters.AddWithValue("@OrderID", value.Value.OrderID);
cmd.Parameters.AddWithValue("@ShipCountry", value.Value.ShipCountry);
cmd.Parameters.AddWithValue("@ShipCity", value.Value.ShipCity);
cmd.ExecuteNonQuery();
con.Close();
return Json(value.Value);
}
}[Remove]
public ActionResult Remove([FromBody]CRUDModel value)
{
int keyValue = Int32.Parse(value.Key.ToString());
SqlCommand cmd = new SqlCommand("delete dbo.Orders where OrderID=@OrderID", con);
if (con.State != ConnectionState.Open)
con.Open();
cmd.Parameters.AddWithValue("@OrderID", keyValue);
cmd.ExecuteNonQuery();
con.Close();
return Json(UrlDatasource(new DataManagerRequest()));
} Angular
@Component({
selector: 'app-root',
template: `<ejs-grid #grid [dataSource]='data' allowPaging='true' [editSettings]='editSettings' [toolbar]='toolbar'>
<e-columns>
<e-column field='OrderID' headerText='Order ID' isPrimaryKey=true [validationRules]='orderidrules' width='100' textAlign='Right'></e-column>
<e-column field='ShipCountry' headerText='Ship Country' width='120'></e-column>
<e-column field='ShipCity' headerText='Ship City' width='120'></e-column>
</e-columns>
</ejs-grid>`
})
export class AppComponent implements OnInit {
public data: DataManager;
public editSettings: Object;
public toolbar: string[];
public orderidrules: object;
@ViewChild('grid')
public grid: GridComponent;
ngOnInit(): void {
this.data = new DataManager({
url: "Home/UrlDatasource ",
updateUrl: "Home/Update",
insertUrl: "Home/Insert",
removeUrl: "Home/Remove",
adaptor: new UrlAdaptor
});
this.editSettings = { allowEditing: true, allowAdding: true, allowDeleting: true };
this.toolbar = ['Add', 'Edit', 'Delete', 'Update', 'Cancel'];
this.orderidrules = { required: true};
}
} Demo:
https://www.syncfusion.com/downloads/support/directtrac/general/ze/angularSqlDataGrid629818828
Conclusion
I hope you enjoyed learning about how to bind SQL Server data in Angular DataGrid using SqlClient data provider.
You can refer to our Angular Data Grid feature tour page to know about its other groundbreaking feature representations and documentation, and how to quickly get started for configuration specifications. You can also explore our example to understand how to create and manipulate data.
For current customers, you can check out our components from the License and Downloads page. If you are new to Syncfusion, you can try our 30-day free trial to check out our other controls.
If you have any queries or require clarifications, please let us know in the comments section below. You can also contact us through our support forums, BoldDesk Support, or feedback portal. We are always happy to assist you!

Articles in this section

How to bind SQL Server data in Vue DataGrid using SqlClient data provider?

You can bind the data from the SQL Server using Microsoft SqlClient and perform CRUD actions in the Vue DataGrid component.

This can be achieved by using UrlAdaptor which will pass the paging, filtering, sorting parameters to the server as DataManagerRequest and perform server side CRUD actions in the DataGrid component. Based on the DataManagerRequest, you can form the SQL query string and retrieve the data from the database using SqlDataAdapter. Then, we process the query string and fill the result into a DataSet. The DataSet will then be converted into a List and returned as a result and count pair.

This is explained in the following sample code, in which the SQL data has been retrieved using SqlClient and bound to the Vue DataGrid through UrlAdaptor.

C#

[Fetching data]

public class HomeController : Controller
    {
        
        private readonly IHostingEnvironment _env;
 
        public HomeController(IHostingEnvironment env)
        {
            _env = env;
        }
 
        static string cons;
        static SqlConnection con;
        public static List<Order> Orders { get; set; }
 
        public IActionResult Index()
        {
            cons = @"Data Source=(LocalDB)\MSSQLLocalDB;AttachDbFilename=" + _env.ContentRootPath + @"\Data\NORTHWND.MDF;Integrated Security=True";
            con = new SqlConnection(cons);
            return View();
        }
        public static DataSet CreateCommand(string queryString, string connectionString)
        {
            using (SqlConnection connection = new SqlConnection(
                       connectionString))
            {
 
                SqlDataAdapter adapter = new SqlDataAdapter(queryString, connection);
                DataSet dt = new DataSet();
                try
                {
                    connection.Open();
                    adapter.Fill(dt); //Using SqlDataAdapter we process the query string and fill the data into dataset
                }
                catch (SqlException se)
                {
                    Console.WriteLine(se.ToString());
                }
                finally
                {
                    connection.Close();
                }
                return dt;
            }
        }
        public object UrlDatasource([FromBody]DataManagerRequest dm)
        {
            string qs = "SELECT OrderID, ShipCountry, ShipCity FROM dbo.Orders ORDER BY OrderID OFFSET " + dm.Skip + "ROWS FETCH NEXT " + dm.Take + " ROWS ONLY; ";
 
            if (dm.Skip == 0 && dm.Take == 0)
            {
                qs = "SELECT OrderID, ShipCountry, ShipCity FROM dbo.Orders ORDER BY OrderID; ";
            }
 
            DataSet data = CreateCommand(qs, cons);
            Orders = data.Tables[0].AsEnumerable().Select(r => new Order
            {
                OrderID = r.Field<int>("OrderID"),
                ShipCountry = r.Field<string>("ShipCountry"),
                ShipCity = r.Field<string>("ShipCity"),
            }).ToList();  // Here, We have converted dataset into list
            IEnumerable<Order> DataSource = Orders;
            if (con.State != ConnectionState.Open)
                con.Open();
            SqlCommand comm = new SqlCommand("SELECT COUNT(*) FROM dbo.Orders", con);
            Int32 count = (Int32)comm.ExecuteScalar();
            con.Close();
            return Json(new { result = DataSource, count = count });
        }
        public class DataResult
        {
            public IEnumerable result { get; set; }
            public int count { get; set; }
        }

 

[Insert]

    public ActionResult Insert([FromBody]CRUDModel<Order> value)
        {
            SqlCommand cmd = new SqlCommand("insert into dbo.Orders(OrderID,ShipCountry,ShipCity) values(@OrderID,@ShipCountry,@ShipCity)", con);
            if (con.State != ConnectionState.Open)
                con.Open();
            cmd.Parameters.AddWithValue("@OrderID", value.Value.OrderID);
            cmd.Parameters.AddWithValue("@ShipCountry", value.Value.ShipCountry);
            cmd.Parameters.AddWithValue("@ShipCity", value.Value.ShipCity);
            cmd.ExecuteNonQuery();
            con.Close();
            return Json(value);
        }
 

 

[Update]

     public ActionResult Update([FromBody]CRUDModel<Order> value)
        {
            SqlCommand cmd = new SqlCommand("update dbo.Orders set ShipCountry=@ShipCountry,ShipCity=@ShipCity where OrderID=@OrderID", con);
            if (con.State != ConnectionState.Open)
                con.Open();
            cmd.Parameters.AddWithValue("@OrderID", value.Value.OrderID);
            cmd.Parameters.AddWithValue("@ShipCountry", value.Value.ShipCountry);
            cmd.Parameters.AddWithValue("@ShipCity", value.Value.ShipCity);
            cmd.ExecuteNonQuery();
            con.Close();
            return Json(value.Value);
        }
    }

 

[Remove]

        public ActionResult Remove([FromBody]CRUDModel value)
        {
            int keyValue = Int32.Parse(value.Key.ToString());
            SqlCommand cmd = new SqlCommand("delete dbo.Orders where OrderID=@OrderID", con);
            if (con.State != ConnectionState.Open)
                con.Open();
            cmd.Parameters.AddWithValue("@OrderID", keyValue);
            cmd.ExecuteNonQuery();
            con.Close();
            return Json(UrlDatasource(new DataManagerRequest()));
        }
 

 

Vue

<template>
    <div>
        <ejs-grid :dataSource="data" :toolbar="toolbar" allowPaging="true" :editSettings="editSettings">
            <e-columns>
                <e-column field="OrderID" headerText="Order ID" :isPrimaryKey="true" :validationRules="orderidRules" textAlign="Right" width="100"></e-column>
                <e-column field="ShipCountry" headerText="Ship Country" width="120"></e-column>
                <e-column field="ShipCity" headerText="Ship City" width="120"></e-column>
            </e-columns>
        </ejs-grid>
    </div>
</template>
<script>
 
import Vue from "vue";
import { GridPlugin, Edit, Page, Toolbar } from "@syncfusion/ej2-vue-grids";
import { DataManager, UrlAdaptor } from "@syncfusion/ej2-data";
 
Vue.use(GridPlugin);
 
export default Vue.extend({
    data: () => {
        return {
           data: new DataManager({
                url: "Home/UrlDatasource",
                updateUrl: "Home/Update",
                insertUrl: "Home/Insert",
                removeUrl: "Home/Remove",
                adaptor: new UrlAdaptor()
            }),
            toolbar: ['Add', 'Edit', 'Delete', 'Update', 'Cancel'],
            editSettings: { allowEditing: true, allowAdding: true, allowDeleting: true },
            orderidRules: {required:true}     
     }
    },
    provide: {
        grid: [Edit, Page, Toolbar ]
    }
});
</script>
 

 

Demo: https://www.syncfusion.com/downloads/support/directtrac/general/ze/VueSqlDataGrid1126509960

Conclusion

We hope you enjoyed learning how to bind SQL Server data in Vue DataGrid using SqlClient data provider.

You can refer to our Vue DataGrid feature tour page to learn about its other groundbreaking feature representations and documentation, and how to quickly get started for configuration specifications. You can also explore our Vue TreeGrid example to understand how to create and manipulate data.

For current customers, you can check out our components from the License and Downloads page. If you are new to Syncfusion®, you can try our 30-day free trial to check out our other controls.

If you have any queries or require clarifications, please let us know in the comments section below. You can also contact us through our support forumsBoldDesk Support, or feedback portal. We are always happy to assist you!

Did you find this information helpful?
Yes
No
Help us improve this page
Please provide feedback or comments
Comments (0)
Access denied
Access denied